%define pkgname zip
%define origname rubyzip

Name: ruby-%pkgname
Version: 0.9.1
Release: alt1

Summary: a ruby library for reading and writing zip files
Group: Development/Ruby
License: Ruby

Url: http://rubyzip.sourceforge.net
Source: %origname-%version.tar
Patch: %origname-%version-ruby19.patch
Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

# Automatically added by buildreq on Wed Sep 23 2009
BuildRequires: ruby-tool-rdoc ruby-tool-setup
# naive buildreq dropped rpm-build-ruby :-/
BuildRequires: rpm-build-ruby
#BuildRequires: rpm-build-ruby ruby-tool-rdoc ruby-tool-setup ruby-test-unit ruby-rake
BuildArch: noarch

%description
There is more than one way to access or create a zip archive with
rubyzip. The basic API is modeled after the classes in java.util.zip
from the Java SDK. This means there are classes such as
Zip::ZipInputStream, Zip::ZipOutputStream and Zip::ZipFile.
Zip::ZipInputStream provides a basic interface for iterating through the
entries in a zip archive and reading from the entries in the same way as
from a regular File or IO object. ZipOutputStream is the corresponding
basic output facility. Zip::ZipFile provides a mean for accessing the
archives central directory and provides means for accessing any entry
without having to iterate through the archive. Unlike Java's
java.util.zip.ZipFile rubyzip's Zip::ZipFile is mutable, which means
it can be used to change zip files as well.

Another way to access a zip archive with rubyzip is to use rubyzip's
Zip::ZipFileSystem API. Using this API files can be read from and
written to the archive in much the same manner as ruby's builtin classes
allows files to be read from and written to the file system.

rubyzip also features the zip/ziprequire.rb module which allows ruby to
load ruby modules from zip archives.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -n %origname-%version
%patch -p1
%update_setup_rb

%build
%ruby_config
%ruby_build

# TODO: requires rubygems
#%%check
#rake test

%install
%ruby_install
%rdoc lib/
rm -r %buildroot/%ruby_ri_sitedir/[^ZI]*

%files
%doc ChangeLog README NEWS TODO
%ruby_sitelibdir/*

%files doc
%doc samples/
%ruby_ri_sitedir/Zip
%ruby_ri_sitedir/Zlib
%ruby_ri_sitedir/ZipList
%ruby_ri_sitedir/IOExtras

%changelog
* Thu Sep 24 2009 Michael Shigorin <mike@altlinux.org> 0.9.1-alt1
- built for ALT Linux
  + patched 0.9.1 for Ruby 1.9 compatibility
    off http://github.com/ericworking/rubyzip
